Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface CreationHelper

All Known Implementing Classes:
  HSSFCreationHelper, XSSFCreationHelper

    public interface CreationHelper

An object that handles instantiating concrete classes of the various instances one needs for HSSF and XSSF. Works around a major shortcoming in Java, where we can't have static methods on interfaces or abstract classes. This allows you to get the appropriate class for a given interface, without you having to worry about if you're dealing with HSSF or XSSF, despite Java being quite rubbish.

Method Summary
`ClientAnchor` | `createClientAnchor()`
`DataFormat` | `createDataFormat()` Creates a new DataFormat instance
`FormulaEvaluator` | `createFormulaEvaluator()` Creates FormulaEvaluator - an object that evaluates formula cells.
`Hyperlink` | `createHyperlink(int type)` Creates a new Hyperlink, of the given type
`RichTextString` | `createRichTextString(java.lang.String text)` Creates a new RichTextString instance

Method Detail

### createRichTextString

    RichTextString createRichTextString(java.lang.String text)

  Creates a new RichTextString instance

  Parameters:
    `text` - The text to initialise the RichTextString with

### createDataFormat

    DataFormat createDataFormat()

  Creates a new DataFormat instance

### createHyperlink

    Hyperlink createHyperlink(int type)

  Creates a new Hyperlink, of the given type

### createFormulaEvaluator

    FormulaEvaluator createFormulaEvaluator()

  Creates FormulaEvaluator - an object that evaluates formula cells.

  Returns:
    a FormulaEvaluator instance

### createClientAnchor

    ClientAnchor createClientAnchor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.